# Class CreateXmrTxReply

#### Hierarchy

- unknown
  - CreateXmrTxReply

- Defined in src/protobuf/grpc_pb.d.ts:3292
- Defined in src/protobuf/grpc_pb.d.ts:3306

#####
Index

### Constructors

constructor

### Methods

clearTx
getTx
hasTx
serializeBinary
setTx
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreateXmrTxReply(): CreateXmrTxReply

- #### Returns CreateXmrTxReply

  Inherited from jspb.Message.constructor

## Methods

### clearTx

- clearTx(): CreateXmrTxReply

- #### Returns CreateXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3296

### getTx

- getTx(): undefined | XmrTx

- #### Returns undefined | XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3293

### hasTx

- hasTx(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3295

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3298

### setTx

- setTx(value?: XmrTx): CreateXmrTxReply

- #### Parameters

  - ##### `Optional` value: XmrTx

  #### Returns CreateXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3294

### toObject

- toObject(includeInstance?: boolean): CreateXmrTxReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreateXmrTxReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3299

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateXmrTxReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3302

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateXmrTxReply, reader: BinaryReader): CreateXmrTxReply

- #### Parameters

  - ##### message: CreateXmrTxReply

  - ##### reader: BinaryReader

  #### Returns CreateXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3303

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateXmrTxReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreateXmrTxReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3301

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreateXmrTxReply): CreateXmrTxReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateXmrTxReply

  #### Returns CreateXmrTxReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3300

Generated using TypeDoc